Package org.jacoco.ant

## Class ReportTask.GroupElement

- java.lang.Object
- - org.jacoco.ant.ReportTask.GroupElement

Enclosing class:
  ReportTask

    public static class ReportTask.GroupElement
    extends java.lang.Object

Container element for class file groups.

### Constructor Summary

Constructors
`GroupElement()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.tools.ant.types.resources.Union` `createClassfiles()` Returns the nested resource collection for class files.
`ReportTask.GroupElement` `createGroup()` Creates a new child group.
`ReportTask.SourceFilesElement` `createSourcefiles()` Returns the nested resource collection for source files.
`void` `setName​(java.lang.String name)` Sets the name of the group.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GroupElement

    public GroupElement()

### Method Detail

#### setName

    public void setName​(java.lang.String name)

Sets the name of the group.

Parameters:
  `name` - name of the group

#### createGroup

    public ReportTask.GroupElement createGroup()

Creates a new child group.

Returns:
  new child group

#### createClassfiles

    public org.apache.tools.ant.types.resources.Union createClassfiles()

Returns the nested resource collection for class files.

Returns:
  resource collection for class files

#### createSourcefiles

    public ReportTask.SourceFilesElement createSourcefiles()

Returns the nested resource collection for source files.

Returns:
  resource collection for source files